Member Function
ArgParseArgument
Constructor
ArgParseArgument (argumentType [, argumentLabel, isListArgument, numberOfArguments])
Parameters

argumentType

A ArgParseArgument.ArgumentType value defining the type (e.g., String) of the ArgParseArgument.

Flag | Description
ArgParseArgument::STRING | Argument is a string
ArgParseArgument::INTEGER | Argument is an integer
ArgParseArgument::INT64 | Argument is a 64 bit integer
ArgParseArgument::DOUBLE | A float
ArgParseArgument::INPUTFILE | An input file
ArgParseArgument::OUTPUTFILE | An output file ..param.argumentLabel:Defines a user defined argument label for the help output. If this option is not set, ArgParseArgument will automatically define a label based on the ArgumentType.

isListArgument | Defines if the argument can be given multiple times. Default: false.
numberOfArguments | Defines if the argument consists of defined number of elements (e.g., if you want to provide an interval you would set this option to 2, so the parser knows that he needs to search for exactly 2 values). Default: 1.

Member of
ArgParseArgument
See Also
isDoubleArgument, isInputFileArgument, isInt64Argument, isIntegerArgument, isOutputFileArgument, isStringArgument, isListArgument
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59